Name:		PDFlib-Lite
Version: 	7.0.5
Release:	8.1
License: 	Proprietary (http://www.pdflib.com/fileadmin/pdflib/pdf/license/PDFlib-Lite-license.pdf)
Group: 		Development/Libraries
Summary: 	PDFlib
Summary(de):	PDFlib
URL: 		http://www.pdflib.com/
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}_perlvendor.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:	tcl-devel python-devel perl gcc-c++ openssl-devel glibc glibc-devel libgcc gcc libtiff-devel

%if 0%{?fedora_version} >= 9 || 0%{?suse_version} >= 1100
%define tcl_version %(echo 'puts [package require Tcl]' | tclsh | awk -F. '{print $1"."$2}')
%endif

%if 0%{?centos_version} >= 5 || 0%{?fedora_version} || 0%{?rhel_version} >= 500 && 0%{?rhel_version} < 600
BuildRequires:  libtool-ltdl-devel
%endif

%if 0%{?rhel_version} >= 600 || 0%{?centos_version} >= 6 || 0%{?sl_version} >= 600
BuildRequires:	libtool-ltdl perl-devel
%endif

# define extra macros
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%ifarch x86_64
%define        perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib | sed -e s@/lib@/lib64@g`"; echo $installvendorlib)
%endif
%endif

%ifarch x86_64 
%if 0%{?suse_version}
BuildRequires: glibc-devel-32bit glibc-32bit
%endif
%endif

%if 0%{?fedora_version} >= 7
BuildRequires: perl-devel
%endif

%description
PDFlib is a development tool for PDF-enabling your software, or generating PDF on your server. PDFlib offers a simple-to-use API for programmatically creating PDF files from within your own server- or client-side software. PDFlib doesn't make use of third-party software for generating PDF, nor does it require any other tools.

%description(de)
PDFlib ist ein Entwicklungs-Tool, mit dem Sie Ihre Software PDF-fähig machen oder PDF dynamisch auf Ihrem Server generieren können. PDFlib erspart Ihnen die komplizierten Interna der PDF-Erzeugung und bietet statt dessen eine einfach anzuwendende Programmierschnittstelle, mit der Sie programmgesteuert PDF-Dateien aus Ihren Anwender- oder Serverprogrammen erzeugen können. PDFlib verwendet oder erfordert keine zur PDF-Erzeugung keinerlei Zusatz-Software oder andere Tools.

%files
%defattr(-,root,root,-)
%{_bindir}/pdfimage
%{_bindir}/text2pdf
%doc doc/*

######################################################################
%package -n libpdf6
Summary:	%{name} library files
Group:		Development/Libraries

%description -n libpdf6
%{name} library files

%post -n libpdf6 -p /sbin/ldconfig

%postun -n libpdf6 -p /sbin/ldconfig

%files -n libpdf6
%defattr(-,root,root,-)
%{_libdir}/libpdf.so
%{_libdir}/libpdf.so.6*


######################################################################
%package -n libpdf6-devel
Summary:	%{name} development files
Group:		Development/Libraries
Provides:	PDFlib-Lite-devel
Requires:	libpdf6

%description -n libpdf6-devel
%{name} development files (includes & extra libs)

%files -n libpdf6-devel
%defattr(-,root,root,-)
%{_libdir}/libpdf.a
%{_libdir}/libpdf.la
%{_prefix}/include/pdflib.h
%{_bindir}/pdflib-config
%doc doc/*


######################################################################
%package perl
Summary:	%{name} for Perl
Group:		Development/Libraries
Requires:	perl

%description perl
%{name} Perl Extension

%files perl
%defattr(-,root,root,-)
%if 0%{?rhel_version} >= 600 || 0%{?centos_version} >= 6 || 0%{?sl_version} >= 600
%{_libdir}/perl5/pdflib_pl.so*
%else
%{perl_vendorlib}/pdflib_pl.so*
%endif
%{perl_vendorlib}/pdflib_pl.pm


######################################################################
%package perl-devel
Summary:	%{name} for Perl development files
Group:		Development/Libraries
Requires:	%{name}-perl

%description perl-devel
%{name} Perl Extension development files

%files perl-devel
%defattr(-,root,root,-)
%if 0%{?rhel_version} >= 600 || 0%{?centos_version} >= 6 || 0%{?sl_version} >= 600
%{_libdir}/perl5/pdflib_pl.a
%{_libdir}/perl5/pdflib_pl.la
%else
%{perl_vendorlib}/pdflib_pl.a
%{perl_vendorlib}/pdflib_pl.la
%endif

######################################################################
%package tcl
Summary:	%{name} for TCL
Group:		Development/Libraries
Requires:	tcl

%description tcl
%{name} TCL Extension

%files tcl
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%defattr(-,root,root,-)
%{_prefix}/share/tcl%{tcl_version}/pdflib/pdflib_tcl.so
%{_prefix}/share/tcl%{tcl_version}/pdflib/pdflib_tcl.so.0
%{_prefix}/share/tcl%{tcl_version}/pdflib/pdflib_tcl.so.0.0.0
%{_prefix}/share/tcl%{tcl_version}/pdflib/pkgIndex.tcl
%endif

%if 0%{?suse_version} == 930 || 0%{?sles_version} == 9
%defattr(-,root,root,-)
%dir %{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib
%{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib/pdflib_tcl.so
%{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib/pdflib_tcl.so.0
%{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib/pdflib_tcl.so.0.0.0
%{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib/pkgIndex.tcl
%endif

%if 0%{?suse_version} > 930 && 0%{?suse_version} <= 1030
%defattr(-,root,root,-)
%dir %{_prefix}/share/tcl/tcl%{tcl_version}/pdflib
%{_prefix}/share/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.so*
%{_prefix}/share/tcl/tcl%{tcl_version}/pdflib/pkgIndex.tcl
%endif

%if 0%{?suse_version} >= 1100
%defattr(-,root,root,-)
%dir %{_libdir}/tcl/tcl%{tcl_version}/pdflib
%{_libdir}/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.so
%{_libdir}/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.so.0
%{_libdir}/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.so.0.0.0
%{_libdir}/tcl/tcl%{tcl_version}/pdflib/pkgIndex.tcl
%endif


######################################################################
%package tcl-devel
Summary:	%{name} for TCL development files
Group:		Development/Libraries
Requires:	%{name}-tcl

%description tcl-devel
%{name} TCL Extension development files

%files tcl-devel
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%defattr(-,root,root,-)
%{_prefix}/share/tcl%{tcl_version}/pdflib/pdflib_tcl.a
%{_prefix}/share/tcl%{tcl_version}/pdflib/pdflib_tcl.la
%endif

%if 0%{?suse_version} == 930 || 0%{?sles_version} == 9
%defattr(-,root,root,-)
%{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib/pdflib_tcl.a
%{_prefix}/%{_lib}/tcl%{tcl_version}/pdflib/pdflib_tcl.la
%endif

%if 0%{?suse_version} > 930 && 0%{?suse_version} <= 1030
%defattr(-,root,root,-)
%{_prefix}/share/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.a
%{_prefix}/share/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.la
%endif

%if 0%{?suse_version} >= 1100
%defattr(-,root,root,-)
%{_libdir}/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.a
%{_libdir}/tcl/tcl%{tcl_version}/pdflib/pdflib_tcl.la
%endif


######################################################################
%package python
Summary:	%{name} for Python
Group:		Development/Libraries
Requires:	python >= 2.5

%description python
%{name} Python Extension

%files python
%defattr(-,root,root,-)
%{py_libdir}/pdflib_py.so*


######################################################################
%package python-devel
Summary:	%{name} for Python development files
Group:		Development/Libraries
Requires:	%{name}-python

%description python-devel
%{name} Python Extension development files

%files python-devel
%defattr(-,root,root,-)
%{py_libdir}/pdflib_py.a
%{py_libdir}/pdflib_py.la

######################################################################
# %package ruby
# Summary:	%{name} for Ruby
# Group:	Development/Libraries
# Requires:	libpdf6, ruby
#
# %description ruby
# %{name} Ruby Extension
#
#
#######################################################################

%prep
%setup -q -n %{name}-%{version}
%patch0

%build
%if 0%{?suse_version}
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="$CFLAGS -fno-strict-aliasing"
%endif
. %{_libdir}/tclConfig.sh
export
%ifarch x86_64
LDFLAGS="-L%{_libdir}" \
%endif
./configure --enable-cxx \
 --with-perl=%{_bindir}/perl \
 --with-py=%{_bindir} \
 --with-pyincl=%{_prefix}/include/python \
 --with-tcl=%{_bindir}/tclsh \
 --with-tclincl=%{_prefix}/include \
 --bindir=%{_bindir} \
 --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --with-openssl \
 --disable-rpath \
%ifarch x86_64
 --enable-64bit \
%endif
 --enable-large_files \
 --enable-sfio || cat config.log

%{__make}

%install

%{__make} DESTDIR=$RPM_BUILD_ROOT install
mkdir -p %{buildroot}%{perl_vendorlib}
mv %{buildroot}%{perl_vendorarch} %{buildroot}%{perl_vendorlib}/pdflib_pl.pm
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

# %file ruby
# %defattr(-,root,root,-)
# %{ruby_sitelib}/pdflib_rb.*

%changelog
* Wed May 05 2010 Carsten Schoene <cs@linux-administrator.com> - 7.0.4-1
- update to release 7.0.5

* Sun Dec 20 2009 Carsten Schoene <cs@linux-administrator.com> - 7.0.4p4
- update to release 7.0.4p4

* Fri Mar 20 2009 Carsten Schoene <cs@linux-administrator.com> - 7.0.4
- update to release 7.0.4

* Fri Nov 22 2008 Carsten Schoene <cs@linux-administrator.com> - 7.0.3
- create different subpackages to be compatible with rpmlint from openSUSE 11

* Fri Jul 18 2008 Carsten Schoene <cs@linux-administrator.com>
- change perl install path from sitelib to vendorlib

* Sun Apr 06 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 7.0.3

* Wed Sep 12 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to 7.0.2

* Mon Jun 25 2007 Carsten Schoene <cs@linux-administrator.com>
- version bump to 7.0.1

* Sun Dec 31 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 7.0.0p3

* Tue Apr 25 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to 6.0.3

* Thu Feb 09 2006 Carsten Schoene <cs@linux-administrator.com>
- added sub packages

* Wed Feb 08 2006 Carsten Schoene <cs@linux-administrator.com>
- initial build, version 6.0.2
